# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data
Interface Reference

All Known Subinterfaces:
  ICollection, ILink

All Known Implementing Classes:
  AnalyticsLink, Collection, DocumentListAclFeedLink, DocumentListRevisionFeedLink, EntryLink, FeedLink, IssuesLink, Link, PortfolioFeedLink, PositionFeedLink, SitesLink

    public interface Reference

The Reference interface is implemented by data model types that contain a reference to addressable content.

Method Summary
`java.lang.String` `getHref()` Returns the value of the resource reference.
`void` `setHref(java.lang.String href)` Sets the value of the resource reference.

Method Detail

### getHref

    java.lang.String getHref()

  Returns the value of the resource reference.

### setHref

    void setHref(java.lang.String href)

  Sets the value of the resource reference.

  Parameters:
    `href` - the resource href.